Bug 2104095 - native python-jnius depends on to be removed i686 java-openjdk packages
Summary: native python-jnius depends on to be removed i686 java-openjdk packages
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-jnius
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Raphael Groner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 2083750
TreeView+ depends on / blocked
 
Reported: 2022-07-05 14:49 UTC by jiri vanek
Modified: 2023-08-11 00:57 UTC (History)
8 users (show)

Fixed In Version: python-jnius-1.3.0-17.fc39 python-jnius-1.3.0-17.fc38 python-jnius-1.3.0-17.fc37
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-08-02 06:54:06 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description jiri vanek 2022-07-05 14:49:33 UTC
Dear maintainer, we are going to drop i686 java packages in f37 - https://fedoraproject.org/wiki/Changes/Drop_i686_JDKs
your package (or maybe jsut some subpackage)  is directly depending on java and is native.

Please take care, and adapt  your package to exclude java on i686. For  your convenience, there was added macro %{java_arches}, including all arches java is available on,  which you can use to ifarch-out java specific features out in i686 (on non-java arches). Although for plain java package, the change is as simple as https://src.fedoraproject.org/rpms/maven/c/520942645bfd1e4721dacd536a6ccbf80495a8ae?branch=rawhide, you can not use it. The ExclusiveArch: %{java_arches} is not going to work for you, because your package is not simple java application, and also non-java world depends on it.

See exemplar PR: https://src.fedoraproject.org/rpms/graphviz/pull-request/9#request_diff
See more details eg in:: https://bugzilla.redhat.com/show_bug.cgi?id=2102298
See why in : https://pagure.io/fesco/issue/2772
Please read carefully proposal: https://fedoraproject.org/wiki/Changes/Drop_i686_JDKs
Please see tracking bug for most up to date informations: https://bugzilla.redhat.com/show_bug.cgi?id=2083750

I'm terribly sorry to report this bug so late in f37 lifecycle. If you can, please handle this with priority.

Comment 1 Ben Cotton 2022-08-09 13:20:39 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 37 development cycle.
Changing version to 37.

Comment 2 Fedora Update System 2023-08-02 06:52:20 UTC
FEDORA-2023-e0d9ab4717 has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-e0d9ab4717

Comment 3 Fedora Update System 2023-08-02 06:54:06 UTC
FEDORA-2023-e0d9ab4717 has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 4 Fedora Update System 2023-08-02 07:26:01 UTC
FEDORA-2023-3ef33b2c4d has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-3ef33b2c4d

Comment 5 Fedora Update System 2023-08-02 07:26:01 UTC
FEDORA-2023-fd616b0dd1 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-fd616b0dd1

Comment 6 Fedora Update System 2023-08-03 01:21:32 UTC
FEDORA-2023-3ef33b2c4d has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-3ef33b2c4d`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-3ef33b2c4d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2023-08-03 01:43:07 UTC
FEDORA-2023-fd616b0dd1 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-fd616b0dd1`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-fd616b0dd1

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2023-08-11 00:40:53 UTC
FEDORA-2023-3ef33b2c4d has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2023-08-11 00:57:40 UTC
FEDORA-2023-fd616b0dd1 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.